Bug 173042 - www/qt4-webkit needs devel/binutils as dependency
Summary: www/qt4-webkit needs devel/binutils as dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-24 23:30 UTC by Justin Hibbits
Modified: 2013-04-03 16:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Hibbits 2012-10-24 23:30:00 UTC
For PowerPC 32-bit (yes, I'm building on 64-bit, but in a 32-bit jail), the base ld segfaults when linking www/qt4-webkit.  This can be fixed by using ld from devel/binutils.

Fix: 

Add devel/binutils as build dependency.
How-To-Repeat: Build www/qt4-webkit on ppc32 or 32-bit jail on ppc64.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-24 23:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alberto Villa freebsd_committer 2013-01-09 14:07:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-01-09 14:07:35 UTC
Author: avilla
Date: Wed Jan  9 14:07:28 2013
New Revision: 310146
URL: http://svnweb.freebsd.org/changeset/ports/310146

Log:
  - Add dependency on devel/binutils' ld(1) to fix build on PowerPC.
  
  PR:		173042
  Submitted by:	Justin Hibbits <jrh29@po.cwru.edu>

Modified:
  head/www/qt4-webkit/Makefile   (contents, props changed)

Modified: head/www/qt4-webkit/Makefile
==============================================================================
--- head/www/qt4-webkit/Makefile	Wed Jan  9 13:53:56 2013	(r310145)
+++ head/www/qt4-webkit/Makefile	Wed Jan  9 14:07:28 2013	(r310146)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	qt4-webkit
-# Date created:				Mon May 12 17:18:19 CEST 2008
-# Whom:					danny@ricin.com
-#
+# Created by: danny@ricin.com
 # $FreeBSD$
-#
 
 PORTNAME=	webkit
 DISTVERSION=	${QT4_VERSION}
@@ -48,6 +44,14 @@ CONFIGURE_ARGS+=	-I../../../../include/Q
 
 EXTRA_PATCHES=	${.CURDIR}/../../devel/qt4/files/patch-configure
 
+.include <bsd.port.pre.mk>
+
+# Base ld(1) segfaults on PowerPC:
+# http://bugs.freebsd.org/173042
+.if ${ARCH} == "powerpc"
+BUILD_DEPENDS+=	${LOCALBASE}/bin/ld:${PORTSDIR}/devel/binutils
+.endif
+
 pre-configure:
 	${MKDIR} ${WRKSRC}/mkspecs
 	${LN} -sf ${LOCALBASE}/bin/qmake-qt4 ${WRKSRC}/bin/qmake
@@ -77,4 +81,4 @@ post-configure:
 		${WRKSRC}/lib/pkgconfig/QtWebKit.pc \
 		${WRKSRC}/lib/libQtWebKit.la
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Justin Hibbits 2013-04-03 16:24:06 UTC
This still fails, because the linker is run through g++, not ld  
directly.  Can gcc be told to use a specific linker for this, or is it  
better to simply make it USE_GCC=4.6+?  I don't know if this affects  
any other platform but powerpc and powerpc64.

- Justin